#include <bits/stdc++.h>
using namespace std;

int main(){

    long long n,x1,y1,x2,y2,a,b;
    cin>>n;
    for(int i=0;i<n;i++){
        cin>>x1>>y1>>x2>>y2>>a>>b;
        long long rzx,rzy,ans=1;
        rzx=abs(x2-x1);
        rzy=abs(y2-y1);
        if(a-rzx>=0){
            ans*=(a-rzx)+1;
        }else{
            ans=0;
        }
        if(b-rzy>=0){
            ans*=(b-rzy)+1;
        }else{
            ans=0;
        }
        cout<<ans<<endl;
    }

    return 0;
}
